%define upstream_name    MooseX-Types-LoadableClass
%define upstream_version 0.014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    ClassName type constraint with coercion to load the class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load) >= 0.60.0
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types) >= 0.220.0
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoTabs)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%{?perl_default_filter}

%description
    use Moose::Util::TypeConstraints;

    my $tc = subtype as ClassName;
    coerce $tc, from Str, via { Class::MOP::load_class($_); $_ };

I've written those three lines of code quite a lot of times, in quite a lot
of places.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.14.0-4pclos2017
- rebuild against updates

